> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate workflow for a user

> Reactivates a workflow that was previously disabled by the Disable Workflow endpoint. This endpoint requires a specified WorkflowId and returns a success/failure.



## OpenAPI

````yaml put /workflows/activate
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /workflows/activate:
    put:
      summary: Activate workflow for a user
      description: >-
        Reactivates a workflow that was previously disabled by the Disable
        Workflow endpoint. This endpoint requires a specified WorkflowId and
        returns a success/failure.
      operationId: activate-a-workflow
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - userId
              properties:
                userId:
                  type: string
                  description: >-
                    The Id of the user you want to lookup. Returned from the
                    Create User endpoint. Note: you can also use the Embedded
                    user's `username` in this field.
                workflowId:
                  type: string
                  description: >-
                    The Id of the workflow to activate. If you pass this
                    parameter, then `workflowName` is not required.
                workflowName:
                  type: string
                  description: >-
                    The name of the workflow to activate.  If you pass this
                    parameter, then `workflowId` is not required.
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    activated: true
              schema:
                type: object
                properties:
                  activated:
                    type: boolean
                    example: true
                    default: true
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````